[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.SetFlags

Sets the value for an indexed style flag.

## Declaration

Source position: graphics.pp line 549

`protected procedure TFont.SetFlags(`
`Index: Integer;`
`AValue: Boolean`
`); override;`

## Arguments

`Index` |  | Ordinal position for the style flag updated in the method.
`AValue` |  | New value for the style flag at the specified position.

## Description

SetFlags is an overridden method used to set the value for an individual style flag by its ordinal position.

Index contains the position for the style flag used in the canvas helper for the class.

AValue is a Boolean value that indicates whether the TFontStyle value is included in or excluded from the style flags.

SetFlags is called when a new value is assigned to the Style property differs from the existing value.

## See also

TFont.Style |  | Styles applied to the font face.
TFontStyle |  | Represents styles or variants for a font.
TFontStyles |  | Set type used to store TFontStyle value(s).